cURL
curl --request GET \ --url https://api.inspecto.com/api/third-party/v1/vehicle-groups \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "<string>", "name": "<string>", "vehicleCount": 123, "templateCount": 123, "vehicleFieldCount": 123 } ], "meta": {} }
Retrieve vehicle groups/fleets for your company
GET /api/third-party/v1/vehicle-groups
vehicles:read
Show Vehicle Group Object
curl -X GET "https://api.inspecto.com/api/third-party/v1/vehicle-groups?limit=10" \ -H "Authorization: Bearer insp_your_api_key_here"
{ "data": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "name": "Warsaw Fleet", "vehicleCount": 45, "templateCount": 3, "vehicleFieldCount": 8 }, { "id": "660e8400-e29b-41d4-a716-446655440001", "name": "Krakow Fleet", "vehicleCount": 32, "templateCount": 2, "vehicleFieldCount": 6 } ], "meta": { "version": "v1", "pagination": { "currentPage": 1, "totalPages": 1, "totalCount": 2, "hasNextPage": false, "hasPreviousPage": false } } }